> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/april-2025/april-25/schedule-for-automatic-promotions-enabling.md).

# Schedule for automatic promotions enabling

#### What's new

It is now possible to automate enabling/disabling promotions by setting up a weekly schedule. With API, you can specify days of the week when the promotion must be active, and optionally set the start and/or end time for the selected days. Once recurrence settings are set up, the promotion automatically activates on specified days and deactivates afterwards.

New settings allow you to make promotions like "**Weekend sale**".&#x20;

#### Changes in API

New fields are added to GET/PUT/POST requests to the `/promotions` endpoint.

* `recurring` boolean field enables recurrence settings for the promotion.
* `recurrenceSettings` object contains 3 fields for setting up a weekly schedule: `activeDays` array that accepts days of the week in a form of strings, and `activeDayStartTime` and `activeDayEndTime` that are used if you don't want the promotion to be active for 24 hours on specified days.

Request example for updating an existing promotion to a "Weekend sale":

```http
PUT /api/v3/STOREID/promotions/PROMOTIONID HTTP/1.1
Host: app.ecwid.com
Content-Type: application/json
Authorization: Bearer secret_token

{
    "recurring": true,
    "recurrenceSettings": {
        "activeDays": ["SAT","SUN"]
    }
}
```

where:

* `STOREID` - your Ecwid store ID.
* `secret_token` - access token of your application.
* `"recurring": true` enables the schedule.
* "`activeDays": ["SAT","SUN"]` sets the promotion to automatically become available during weekends and unavailable for the rest of the week.

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/wZpkn8Be2UQ0eBwkopXo" %}
[Search promotions](/api-reference/rest-api/discounts/promotions/search-promotions.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/uhUCpv396jKzbgCaJsU4" %}
[Update promotion](/api-reference/rest-api/discounts/promotions/update-promotion.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/9hRrRL3BKHHMbzRoJGX2" %}
[Create promotion](/api-reference/rest-api/discounts/promotions/create-promotion.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/april-2025/april-25/schedule-for-automatic-promotions-enabling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
